/**
 * DevExtreme (cjs/core/utils/call_once.js)
 * Version: 22.2.7 (build 23205-0309)
 * Build date: Mon Jul 24 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.default = void 0;
var callOnce = function(handler) {
    var result;
    var _wrappedHandler = function() {
        result = handler.apply(this, arguments);
        _wrappedHandler = function() {
            return result
        };
        return result
    };
    return function() {
        return _wrappedHandler.apply(this, arguments)
    }
};
var _default = callOnce;
exports.default = _default;
module.exports = exports.default;
module.exports.default = exports.default;
